- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# reboot – Reboot a machine

New in version 2.7.

- Synopsis

- Parameters

- Notes

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Reboot a machine, wait for it to go down, come back up, and respond to commands.

- For Windows targets, use the win_reboot module instead.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
connect_timeout integer |  | Maximum seconds to wait for a successful connection to the managed hosts before trying again. If unspecified, the default setting for the underlying connection plugin is used.
msg string | Default: "Reboot initiated by Ansible" | Message to display to users before reboot.
post_reboot_delay integer | Default: 0 | Seconds to wait after the reboot command was successful before attempting to validate the system rebooted successfully. This is useful if you want wait for something to settle despite your connection already working.
pre_reboot_delay integer | Default: 0 | Seconds to wait before reboot. Passed as a parameter to the reboot command. On Linux, macOS and OpenBSD, this is converted to minutes and rounded down. If less than 60, it will be set to 0. On Solaris and FreeBSD, this will be seconds.
reboot_timeout integer | Default: 600 | Maximum seconds to wait for machine to reboot and respond to a test command. This timeout is evaluated separately for both reboot verification and test command success so the maximum execution time for the module is twice this amount.
search_paths list added in 2.8 | Default: ["/sbin", "/usr/sbin", "/usr/local/sbin"] | Paths to search on the remote machine for the `shutdown` command. Only these paths will be searched for the `shutdown` command. `PATH` is ignored in the remote node when searching for the `shutdown` command.
test_command string | Default: "whoami" | Command to run on the rebooted host and expect success from to determine the machine is ready for further tasks.

## Notes

Note

- `PATH` is ignored on the remote node when searching for the `shutdown` command. Use `search_paths` to specify locations to search if the default paths do not work.

## See Also

See also

win_reboot – Reboot a windows machine

  The official documentation on the win_reboot module.

## Examples

    - name: Unconditionally reboot the machine with all defaults
      reboot:

    - name: Reboot a slow machine that might have lots of updates to apply
      reboot:
        reboot_timeout: 3600

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
elapsed integer | always | The number of seconds that elapsed waiting for the system to be rebooted. Sample: 23
rebooted boolean | always | true if the machine was rebooted Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Core Team. [core]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Matt Davis (@nitzmahone)

- Sam Doran (@samdoran)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.